Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.evaluations.test_case_results.list(
evaluation_id="evaluation_id",
)
page = page.items[0]
print(page)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Evaluations.TestCaseResults.List(
context.TODO(),
"evaluation_id",
sgp.EvaluationTestCaseResultListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}curl --request GET \
--url https://api.egp.scale.com/v4/evaluations/{evaluation_id}/test-case-resultsconst options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/evaluations/{evaluation_id}/test-case-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"application_spec_id": "<string>",
"evaluation_id": "<string>",
"evaluation_dataset_id": "<string>",
"evaluation_dataset_version_num": "<string>",
"test_case_id": "<string>",
"test_case_evaluation_data": {
"generation_output": "<string>",
"generation_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"application_test_case_output": {
"application_variant_id": "<string>",
"evaluation_dataset_id": "<string>",
"test_case_version_id": "<string>",
"test_case_id": "<string>",
"output": {
"generation_output": "<string>",
"generation_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"application_interaction_id": "<string>",
"application_test_case_output_group_id": "<string>",
"interaction": {
"id": "<string>",
"input": {},
"output": {},
"aggregated": true,
"application_spec_id": "<string>",
"application_variant_id": "<string>",
"start_timestamp": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"created_at": "2023-11-07T05:31:56Z",
"operation_metadata": {},
"models": [
"<string>"
],
"chat_thread_id": "<string>",
"trace_spans": [
{
"id": "<string>",
"node_id": "<string>",
"operation_input": {},
"operation_output": {},
"start_timestamp": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"application_interaction_id": "<string>",
"application_variant_id": "<string>",
"operation_expected": {},
"operation_metadata": {},
"end_timestamp": "2023-11-07T05:31:56Z",
"trace_id": "<string>",
"parent_id": "<string>",
"group_id": "<string>",
"account_id": "<string>",
"created_by_user_id": "<string>"
}
]
}
},
"test_case_version": {
"evaluation_dataset_id": "<string>",
"test_case_data": {
"input": "<string>",
"artifact_ids_filter": [
"<string>"
],
"expected_output": "<string>",
"expected_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"autogenerated": true,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"schema_type": "GENERATION",
"chat_history": {},
"test_case_metadata": {},
"invalidated_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
},
"task": {
"id": "<string>",
"task_entity_parent_id": "<string>",
"task_entity_id": "<string>",
"account_id": "<string>",
"priority": 123,
"assigned_to": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferences": {}
},
"assignment_expires_at": "2023-11-07T05:31:56Z",
"task_entity": {
"application_spec_id": "<string>",
"evaluation_id": "<string>",
"evaluation_dataset_id": "<string>",
"evaluation_dataset_version_num": "<string>",
"test_case_id": "<string>",
"test_case_evaluation_data": {
"generation_output": "<string>",
"generation_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"audit_required": true,
"audit_comment": "<string>",
"test_case_evaluation_data_schema": "GENERATION",
"result": {},
"completed_at": "2023-11-07T05:31:56Z",
"time_spent_labeling_s": 123,
"application_test_case_output_id": "<string>",
"invalidated_at": "2023-11-07T05:31:56Z",
"annotated_by_user_id": "<string>",
"edited_by_user_id": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"edited_by": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferences": {}
}
}
},
"metrics": {},
"custom_metrics": [
{
"id": "<string>",
"type": "<string>",
"name": "<string>",
"output": 123
}
],
"audit_tasks": [
{
"id": "<string>",
"task_entity_parent_id": "<string>",
"task_entity_id": "<string>",
"account_id": "<string>",
"priority": 123,
"assigned_to": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferences": {}
},
"assignment_expires_at": "2023-11-07T05:31:56Z",
"task_entity": {
"application_spec_id": "<string>",
"evaluation_id": "<string>",
"evaluation_dataset_id": "<string>",
"evaluation_dataset_version_num": "<string>",
"test_case_id": "<string>",
"test_case_evaluation_data": {
"generation_output": "<string>",
"generation_extra_info": {
"chunks": [
{
"text": "<string>",
"metadata": {}
}
],
"schema_type": "CHUNKS"
}
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"audit_required": true,
"audit_comment": "<string>",
"test_case_evaluation_data_schema": "GENERATION",
"result": {},
"completed_at": "2023-11-07T05:31:56Z",
"time_spent_labeling_s": 123,
"application_test_case_output_id": "<string>",
"invalidated_at": "2023-11-07T05:31:56Z",
"annotated_by_user_id": "<string>",
"edited_by_user_id": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"edited_by": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferences": {}
}
}
}
],
"annotation_results": [
{
"question_id": "<string>",
"test_case_result_lineage_id": "<string>",
"selected_choice": {
"label": "<string>",
"value": "<string>",
"audit_required": false
},
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"llm_auto_eval_metadata": {
"prompt_tokens": 123,
"completion_tokens": 123,
"time_elapsed_s": 123,
"llm_reasoning": "<string>",
"annotation_result_id": "<string>",
"cost": 123
}
}
],
"audit_required": true,
"audit_comment": "<string>",
"test_case_evaluation_data_schema": "GENERATION",
"result": {},
"completed_at": "2023-11-07T05:31:56Z",
"time_spent_labeling_s": 123,
"application_test_case_output_id": "<string>",
"invalidated_at": "2023-11-07T05:31:56Z",
"annotated_by_user_id": "<string>",
"edited_by_user_id": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"edited_by": {
"id": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferences": {}
}
}
],
"total_item_count": 123,
"current_page": 123,
"items_per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evaluations
List Test Case Results
Description
Lists all test case results accessible to the user.
Details
This API can be used to list test case results. If a user has access to multiple accounts, all test case results from all accounts the user is associated with will be returned.
GET
/
v4
/
evaluations
/
{evaluation_id}
/
test-case-results
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.evaluations.test_case_results.list(
evaluation_id="evaluation_id",
)
page = page.items[0]
print(page)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Evaluations.TestCaseResults.List(
context.TODO(),
"evaluation_id",
sgp.EvaluationTestCaseResultListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}Path Parameters
Query Parameters
Available options:
AnnotationResults, AuditTasks, CustomMetrics, Metrics, Task, TestCaseVersion, Trace Page number for pagination to be returned by the given endpoint. Starts at page 1
Required range:
x >= 1Maximum number of artifacts to be returned by the given endpoint. Defaults to 100 and cannot be greater than 10k.
Required range:
1 <= x <= 10000Response
Successful Response
items
(GenerationTestCaseResultResponseWithViews · object | FlexibleTestCaseResultResponseWithViews · object)[]
required
The data returned for the current page.
- GenerationTestCaseResultResponseWithViews
- FlexibleTestCaseResultResponseWithViews
Show child attributes
Show child attributes
The total number of items of the query
The current page number.
The number of items per page.
⌘I

